/*
** Copyright (C) 2001 Sacha Faust <sacha@severus.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
/*
 * MetisOpt.java
 *
 * Created on December 6, 2001, 9:21 PM
 */

package org.ideahamster.metis.util;

/**
 *
 * @author Sacha Faust
 * @version 1.0
 */
import faust.sacha.web.util.WebGlobal;

public final class MetisOpt {

    /**
     */
    private static String m_requestUserName;
    private static String m_requestPassword;
    private static int m_reportType;
    private static String m_configFileName;
    private static String m_rootURL;
    
    public MetisOpt() {
        m_requestUserName = "";
        m_requestPassword = "";
        m_configFileName = "";
        m_rootURL = "";
        m_reportType = MetisGlobal.REPORT_TYPE_HTML;
    }
//------------------------------------------------------------------------------
    public boolean loadConfigurationFile( String fileName ){
        
        return true;
    }
//------------------------------------------------------------------------------
    public void setRequestMethod( int requestMethod ){
        WebGlobal.setRequestMethod( requestMethod );
    }
//------------------------------------------------------------------------------
    public void setDebug( boolean debug ){
        WebGlobal.setDebug( debug );
        MetisGlobal.setDebug( debug );
    }
//------------------------------------------------------------------------------
    public void setReportType( int type ){
        m_reportType = type;
    }
//------------------------------------------------------------------------------
    public static int getReportType(){
        return m_reportType;
    }
//------------------------------------------------------------------------------    
    public void setRequestUserName( String username ){
        m_requestUserName = username;
    }
//------------------------------------------------------------------------------
    public static String getRequestUserName(){
        return m_requestUserName;
    }
//------------------------------------------------------------------------------    
    public void setRequestPassword( String password ){
        m_requestPassword = password;
    }
//------------------------------------------------------------------------------
    public static String getRequestPassword(){
        return m_requestPassword;
    }
//------------------------------------------------------------------------------
    public void setConfigFileName( String fileName ){
        m_configFileName = fileName;
    }
//------------------------------------------------------------------------------    
    public void setrootURL( String url ){
        String strTmp = url.toLowerCase();
        
        if( (!strTmp.startsWith("http")) && (!strTmp.startsWith("https")) )
            m_rootURL = "http://" + url;
        else
            m_rootURL = url;
    }
//------------------------------------------------------------------------------ 
    public static String getrootURL(){
        return m_rootURL;
    }
//------------------------------------------------------------------------------ 
    public boolean validateOptions(){
        
        if( m_rootURL == "" ){
            System.err.println("You need to specify a site!");
            return false;
        }
        
        switch( m_reportType ){
            case MetisGlobal.REPORT_TYPE_ASCII:
            case MetisGlobal.REPORT_TYPE_HTML:
                break;
                
            default:
                System.err.println("Unknown report type : " + m_reportType );
                return false;
        }
        
        return true;
    }
//------------------------------------------------------------------------------
    public static void usage(){

        System.out.println(MetisGlobal.METIS_USER_AGENT + " by " + MetisGlobal.METIS_AUTHOR + " : " + MetisGlobal.METIS_AUTHOR_EMAIL );
        System.out.println("Usage : ");
        
        System.out.println("\t-h [site name]");
        System.out.println("\t\tExample of valid site name:");
        System.out.println("\t\t\thttp://site.com");
        System.out.println("\t\t\thttps://site.com");
        System.out.println("\t\t\thttps://site.com:port");        
        System.out.println("\t\t\tsite.com");
        System.out.println("\t\t\thttp://site.com/startfolder");
        
        System.out.println("\t-D : enables debug mode");
        //System.out.println("\t-R : allow redirect.");
        //System.out.println("\t-S : allow strict redirect. Will only follow redirect to same domain");
        /*
        System.out.println("\t-r [request method] : Default is GET");
        System.out.println("\t\trequest methods:");
        System.out.println("\t\t\t" + WebGlobal.REQUEST_METHOD_GET + " : GET" );
        System.out.println("\t\t\t" + WebGlobal.REQUEST_METHOD_HEAD + " : HEAD" );
        System.out.println("\t\t\t" + WebGlobal.REQUEST_METHOD_POST + " : POST" );
        System.out.println("\t\t\t" + WebGlobal.REQUEST_METHOD_DELETE + " : DELETE" );
        
        System.out.println("\t-U [site username]");
        System.out.println("\t-P [site password]");
        */
        System.out.println("\t-T [report type] : Default is HTML");
        System.out.println("\t\treport types:");
        System.out.println("\t\t\t" + MetisGlobal.REPORT_TYPE_ASCII + " : ASCII");
        System.out.println("\t\t\t" + MetisGlobal.REPORT_TYPE_HTML + " : HTML");
        
        //System.out.println("\t-F [configuration filename] : Metis configuration file.");
        
        System.exit(1);
    }
//------------------------------------------------------------------------------
    public void DEBUG_DUMP_OPTIONS(){
        System.out.println("requestUsername : " + m_requestUserName);
        System.out.println("requestPassword : " + m_requestPassword);
        System.out.println("m_rootURL : " + m_rootURL);
        System.out.println("m_reportType : " + m_reportType);
        System.out.println("config name : " + m_configFileName);
    }
//------------------------------------------------------------------------------    
}
