/*
** Copyright (C) 2001 Sacha Faust <sacha@severus.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
/*
 * WebGlobal.java
 *
 * Created on October 31, 2001, 9:50 PM
 */

package faust.sacha.web.util;


/**
 *
 * @author Sacha Faust
 * @version 1.0
 */
import java.security.*;

public final class WebGlobal {

    /**
     */
    public static final int DEFAULT_PORT                    = 80;
    public static final int HTTP_DEFAULT_PORT               = 80;
    public static final int HTTPS_DEFAULT_PORT              = 443;
    public static final String PROTOCOL_DEFAULT             = "http://";
    
    
    public static final int REQUEST_METHOD_GET              = 1;
    public static final int REQUEST_METHOD_HEAD             = 2;
    public static final int REQUEST_METHOD_POST             = 3;
    public static final int REQUEST_METHOD_DELETE           = 4;
    public static int REQUEST_METHOD                        = REQUEST_METHOD_GET;
    
    public static final int URL_TYPE_FILE                   = 1;
    public static final int URL_TYPE_FOLDER                 = 2;
    
    
    public static String USER_AGENT                         = "Riding the Snake v1.0";
    public static boolean DEBUG                             = false;    
    
    public static boolean FOLLOW_REDIRECT                   = false;
    public static boolean FOLLOW_OUTSIDE_REDIRECT           = false;
    
    public WebGlobal() {
    }

//------------------------------------------------------------------------------
    public static void setDebug( boolean mode ){
        DEBUG = mode;
    }
//------------------------------------------------------------------------------
    public static void setUserAgent( String userAgent ){
        USER_AGENT = userAgent;
    }
//------------------------------------------------------------------------------
    public static void enableSSLDynamically(){
        /*
         * Buggy .jar
         */
        /*
        Security.addProvider(new com.sun.net.ssl.internal.ssl.Provider());

        System.setProperty("java.protocol.handler.pkgs",
                     "com.sun.net.ssl.internal.www.protocol");        
         */
    }
//------------------------------------------------------------------------------
    public static void followRedirect( boolean redirect ){
        FOLLOW_REDIRECT = redirect;
    }
//------------------------------------------------------------------------------
    public static void followOutsideRedirect( boolean redirect ){
        FOLLOW_OUTSIDE_REDIRECT = redirect;
    }
//------------------------------------------------------------------------------
    public static void setRequestMethod( int requestMethod ){
        REQUEST_METHOD = requestMethod;
    }
//------------------------------------------------------------------------------    
}
